# Generated by Django 2.1.7 on 2021-03-24 19:33

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        ('tickets', '0019_20210323_1435'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('qc', '0004_auto_20210319_1331'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalQAMonitoringModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('name', models.CharField(max_length=100)),
                ('status', models.PositiveSmallIntegerField(choices=[(0, 'ABIERTO'), (1, 'CERRADO'), (2, 'CANCELADO')], default=0)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical qa monitoring model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalQAMonitoringRecordModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('contact_date', models.DateTimeField()),
                ('agent_extension', models.PositiveSmallIntegerField()),
                ('customer_phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None)),
                ('customer_email', models.EmailField(max_length=254)),
                ('customer_rut', models.CharField(max_length=100)),
                ('services', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('address', models.CharField(max_length=100)),
                ('commentaries', models.TextField(null=True)),
                ('motive', models.TextField(null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('category', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='tickets.CategoryModel')),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical qa monitoring record model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='QAMonitoringModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=100)),
                ('status', models.PositiveSmallIntegerField(choices=[(0, 'ABIERTO'), (1, 'CERRADO'), (2, 'CANCELADO')], default=0)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qamonitoringmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qamonitoringmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='QAMonitoringRecordModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('contact_date', models.DateTimeField()),
                ('agent_extension', models.PositiveSmallIntegerField()),
                ('customer_phone', phonenumber_field.modelfields.PhoneNumberField(max_length=128, region=None)),
                ('customer_email', models.EmailField(max_length=254)),
                ('customer_rut', models.CharField(max_length=100)),
                ('services', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('address', models.CharField(max_length=100)),
                ('commentaries', models.TextField(null=True)),
                ('motive', models.TextField(null=True)),
                ('category', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='tickets.CategoryModel')),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qamonitoringrecordmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('monitoring', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='qc.QAMonitoringModel')),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='qc_qamonitoringrecordmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='historicalqamonitoringrecordmodel',
            name='monitoring',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='qc.QAMonitoringModel'),
        ),
        migrations.AddField(
            model_name='historicalqamonitoringrecordmodel',
            name='updater',
            field=models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL),
        ),
    ]
